Jump to content
MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. ×

Programmer Here


Recommended Posts

Hello MSFN users. I decided to create an account here because when I'm searching for error messages and information about Windows I'm constantly running into this website.

I do software development and and I test my programs on a variety of versions of Windows to ensure it works good on Windows.

  • Like 2
Link to post
Share on other sites

On 12/13/2020 at 11:22 PM, Programmer Nerd said:

Hello MSFN users. I decided to create an account here because when I'm searching for error messages and information about Windows I'm constantly running into this website.

I do software development and and I test my programs on a variety of versions of Windows to ensure it works good on Windows.

Please make sure your programs are supported on *ALL* versions of Windows NT!

Nothing irks me more than apathetic developers that make their software incompatible with any version of Windows not currently in stores.

Link to post
Share on other sites
On 12/13/2020 at 10:22 PM, Programmer Nerd said:

Hello MSFN users. I decided to create an account here because when I'm searching for error messages and information about Windows I'm constantly running into this website.

I do software development and and I test my programs on a variety of versions of Windows to ensure it works good on Windows.

Warmest greetings from Europe ! Do you have experience with .lua coded games too ? Thanks

  • Like 1
Link to post
Share on other sites

hpwamr,

Thank you for your warm welcome.

InterLinked,

Given what you mentioned about Windows NT you might be interested in what I'm doing. I am working on compiling open source software to run on older versions of Windows. For example I just got Rendera (a nice painting program) running on Windows NT 3.51. Also regarding why software doesn't support older versions of NT, sometimes its for silly reasons as in it's just one function, or even compiler used meaning that there is nothing wrong with the code, it's just that a new version of Visual Studio was used to compile it so it doesn't work on older versions of Windows. Other times it could be because the application really does need a lot of features only supported by older versions of Windows NT for example it uses a newer version of DirectX, in that case it would be very costly to get it running on older versions. With that said I do share your frustration and that's why I'm doing this.

Dixel,

I do have experience with Lua and embedding Lua in a C++ program however I've never programmed a game using Lua. You may want to look at https://love2d.org/ .

 

Edited by Programmer Nerd
  • Like 1
Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...